const React = require('react');

const Title = ({ data, isEditing, updateData }) => isEditing ? React.createElement("input", {
  className: "blurb blurb-title-editing",
  type: "text",
  value: data.text,
  onChange: event => updateData({ text: event.target.value }) }) : React.createElement(
  "h1",
  { className: "blurb blurb-title" },
  data.text
);

Title.propTypes = {
  data: React.PropTypes.shape({
    text: React.PropTypes.string.isRequired
  }),
  isEditing: React.PropTypes.bool,
  updateData: React.PropTypes.func
};

module.exports = Title;